Subject: Support SPLObjectStorage as container for references to other persisted objects
Description

Currently references to other objects must be stored in an array or as a single property:

class Invoice {

   /**
    * @var array
    */
   protected $invoiceDetails = array();

   /**
    * @var Customer
    */
   protected $customer;
}

But in many cases it makes sense to store objects in an SPLObjectStorage:

class Blog {

   /**
    * @var \SPLObjectStorage
    */
   protected $posts;
}

By using the SPLObjectStorage we can assure that no post can be added twice
to a blog.

The Persistence Manager should therefore support SPLObjectStorages

Associated revisions
Revision 492958c6 - 2009-03-05 16:10 - Karsten Dambekalns
FLOW3, TYPO3CR:
    -  persistence now supports properties of type \SplObjectStorage, fixes #2621
    -  general cleanup in persistence backend and data mapper
    -  thorough rewrite of the unit tests for persistence backend and data mapper

History
#1 - 2009-03-04 15:27 - Karsten Dambekalns
- % Done changed from 0 to 50

#2 - 2009-03-04 18:01 - Karsten Dambekalns
- % Done changed from 50 to 70

#3 - 2009-03-05 17:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 70 to 100

Applied in changeset r1972.
